## EmpathyConnectivity

EmpathyConnectivity

## Synopsis

                        EmpathyConnectivity;
    EmpathyConnectivity * empathy_connectivity_dup_singleton
                                                            (void);
    gboolean            empathy_connectivity_is_online      (EmpathyConnectivity *connectivity);
    gboolean            empathy_connectivity_get_use_conn   (EmpathyConnectivity *connectivity);
    void                empathy_connectivity_set_use_conn   (EmpathyConnectivity *connectivity,
                                                             gboolean use_conn);

## Object Hierarchy

      GObject
       +----EmpathyConnectivity

## Properties

      "use-conn"                 gboolean              : Read / Write / Construct

## Signals

      "state-change"                                   : Run Last

## Description

## Details

### EmpathyConnectivity

    typedef struct _EmpathyConnectivity EmpathyConnectivity;

### empathy_connectivity_dup_singleton ()

    EmpathyConnectivity * empathy_connectivity_dup_singleton
                                                            (void);

Returns : |

### empathy_connectivity_is_online ()

    gboolean            empathy_connectivity_is_online      (EmpathyConnectivity *connectivity);

`connectivity` : |
Returns : |

### empathy_connectivity_get_use_conn ()

    gboolean            empathy_connectivity_get_use_conn   (EmpathyConnectivity *connectivity);

`connectivity` : |
Returns : |

### empathy_connectivity_set_use_conn ()

    void                empathy_connectivity_set_use_conn   (EmpathyConnectivity *connectivity,
                                                             gboolean use_conn);

`connectivity` : |
`use_conn` : |

## Property Details

### The `"use-conn"` property

      "use-conn"                 gboolean              : Read / Write / Construct

Set presence according to connectivity managers.

Default value: TRUE

## Signal Details

### The `"state-change"` signal

    void                user_function                      (EmpathyConnectivity *empathyconnectivity,
                                                            gboolean             arg1,
                                                            gpointer             user_data)                : Run Last

`empathyconnectivity` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.